##### ip::address_v4::address_v4 (2 of 5 overloads)

Construct an address from raw bytes.

    address_v4(
        const bytes_type & bytes);

Initialises the `address_v4` object such that `to_bytes() == bytes`.

###### Exceptions

out_of_range

  Thrown if any element in `bytes` is not in the range `0 - 0xFF`. Note that no range checking is required for platforms where `std::numeric_limits<unsigned char>::max()` is `0xFF`.